Debian Bug report logs - #694284
libconcord-dev: missing Breaks+Replaces: libconcord1-dev

version graph

Package: libconcord-dev; Maintainer for libconcord-dev is Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>; Source for libconcord-dev is src:concordance.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Sun, 25 Nov 2012 00:42:02 UTC

Severity: serious

Tags: patch

Found in version concordance/0.23-1

Fixed in version concordance/0.24-1.1

Done: Patrick Matthäi <pmatthaei@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>:
Bug#694284; Package libconcord-dev. (Sun, 25 Nov 2012 00:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>. (Sun, 25 Nov 2012 00:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libconcord-dev: missing Breaks+Replaces: libconcord1-dev
Date: Sun, 25 Nov 2012 01:40:19 +0100
[Message part 1 (text/plain, inline)]
Package: libconcord-dev
Version: 0.23-1
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Architecture: amd64
Distribution: squeeze->wheezy (partial) upgrade

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:

  Selecting previously deselected package libconcord1.
  (Reading database ... 6286 files and directories currently installed.)
  Unpacking libconcord1 (from .../libconcord1_0.22-3_amd64.deb) ...
  Selecting previously deselected package libconcord1-dev.
  Unpacking libconcord1-dev (from .../libconcord1-dev_0.22-3_amd64.deb) ...
  Setting up libconcord1 (0.22-3) ...
  Setting up libconcord1-dev (0.22-3) ...

  Selecting previously deselected package libconcord2.
  (Reading database ... 6372 files and directories currently installed.)
  Unpacking libconcord2 (from .../libconcord2_0.24-1_amd64.deb) ...
  Selecting previously deselected package libconcord-dev.
  Unpacking libconcord-dev (from .../libconcord-dev_0.24-1_amd64.deb) ...
  dpkg: error processing /var/cache/apt/archives/libconcord-dev_0.24-1_amd64.deb (--unpack):
   trying to overwrite '/usr/include/libconcord.h', which is also in package libconcord1-dev 0.22-3


This is a serious bug as it makes installation/upgrade fail, and
violates sections 7.6.1 and 10.1 of the policy.

As this problem can be demonstrated during partial upgrades from squeeze
to wheezy (but not within squeeze or wheezy itself), this indicates a
missing or insufficiently versioned Replaces+Breaks relationship.
But since this particular upgrade ordering is not forbidden by any
dependency relationship, it is possible that apt (or $PACKAGE_MANAGER)
will use this erroneus path on squeeze->wheezy upgrades.

Here is a list of files that are known to be shared by both packages
(according to the Contents files for squeeze and wheezy on amd64, which
may be slightly out of sync):

	usr/include/libconcord.h
	usr/lib/libconcord.a
	usr/lib/libconcord.so


The -dev package was renamed recently:

  concordance (0.23-1) unstable; urgency=low 
   * debian/control: bump soname version in package name for libs, also
     drop the soname version number in the development package name.
   * debian/libconcord1-dev.install: renamed to libconcord-dev.install.


The following relationships are currently defined:

  Package:   libconcord-dev
  Conflicts: n/a
  Breaks:    n/a
  Replaces:  n/a

The following relationships should be added for a clean takeover of
these files
(http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces):

  Package:  libconcord-dev
  Breaks:   libconcord1-dev
  Replaces: libconcord1-dev

(unversioned, since libconcord1-dev no longer exists)


Cheers,

Andreas

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.
[libconcord1-dev=0.22-3_libconcord-dev=0.24-1.log.gz (application/x-gzip, attachment)]

Added tag(s) patch. Request was from Roland Stigge <stigge@antcom.de> to control@bugs.debian.org. (Sun, 25 Nov 2012 16:39:13 GMT) Full text and rfc822 format available.

Reply sent to Patrick Matthäi <pmatthaei@debian.org>:
You have taken responsibility. (Wed, 28 Nov 2012 09:33:05 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Wed, 28 Nov 2012 09:33:06 GMT) Full text and rfc822 format available.

Message #12 received at 694284-close@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 694284-close@bugs.debian.org
Subject: Bug#694284: fixed in concordance 0.24-1.1
Date: Wed, 28 Nov 2012 09:32:30 +0000
Source: concordance
Source-Version: 0.24-1.1

We believe that the bug you reported is fixed in the latest version of
concordance, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694284@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrick Matthäi <pmatthaei@debian.org> (supplier of updated concordance package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 28 Nov 2012 10:15:29 +0100
Source: concordance
Binary: concordance libconcord2 libconcord-dev python-libconcord
Architecture: source amd64 all
Version: 0.24-1.1
Distribution: unstable
Urgency: high
Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
Changed-By: Patrick Matthäi <pmatthaei@debian.org>
Description: 
 concordance - Harmony remote configuration tool
 libconcord-dev - Harmony remote configuration tool - development files
 libconcord2 - Harmony remote configuration tool - runtime libraries
 python-libconcord - Harmony remote configuration tool - Python bindings
Closes: 694284
Changes: 
 concordance (0.24-1.1) unstable; urgency=high
 .
   * Non-maintainer upload from package sponsor.
   * libconcord-dev: Add missing breaks and replaces against the old
     libconcord1-dev package. Thanks to Andreas Beckmann.
     Closes: #694284
Checksums-Sha1: 
 a0bc2b3e6da3bd5ad97df7f88376b78aa2e6ea38 1963 concordance_0.24-1.1.dsc
 9c5701401c9b1ea85af2871c6a71096648800df7 5894 concordance_0.24-1.1.debian.tar.gz
 5dfd391e52e7866ea005e78767d29bcc4b47cc8e 24964 concordance_0.24-1.1_amd64.deb
 fee8f583b4704c7795584fac4a12953cd1e5fd7a 40488 libconcord2_0.24-1.1_amd64.deb
 842a1532affe42b4868b9cd195b3d3a66827b589 47632 libconcord-dev_0.24-1.1_amd64.deb
 10e4d4f03818b59f88e406868e7caf4af9204fc5 13802 python-libconcord_0.24-1.1_all.deb
Checksums-Sha256: 
 b36767606c8951240d53f0601fd69dcbbc716e6ac9754ca842f956ded9e1c4da 1963 concordance_0.24-1.1.dsc
 b13245c0e08fc115333baebba483e75fe03620217d7cf42c67e3efeafc3e7a47 5894 concordance_0.24-1.1.debian.tar.gz
 1fac3ee86dc1efec525710854737199947bea67ea24f1b11d76d6d5711356b56 24964 concordance_0.24-1.1_amd64.deb
 673d17cd6f6296f590a038c79358b8fbcf7fffc49e4fd03d6c1a20bd2fc8c974 40488 libconcord2_0.24-1.1_amd64.deb
 544e019089813161c01fc2396c2b370a1ac3c393a0294b38edca6d98ce71e0ba 47632 libconcord-dev_0.24-1.1_amd64.deb
 c6781ab79481f6ade39831adc274729e1e0a8e1140ffab22d157461d0b009561 13802 python-libconcord_0.24-1.1_all.deb
Files: 
 6aec4b9db38304e5239869f4bddb3d81 1963 utils optional concordance_0.24-1.1.dsc
 5c8039022144adad350f95696624af47 5894 utils optional concordance_0.24-1.1.debian.tar.gz
 d03214234b67e1cecc79bb1f8f85386a 24964 utils optional concordance_0.24-1.1_amd64.deb
 44b8149d62fc0dc2df9f5724b8bdf9ae 40488 libs optional libconcord2_0.24-1.1_amd64.deb
 fb88b6942b944b11af02205befa249ff 47632 libdevel optional libconcord-dev_0.24-1.1_amd64.deb
 0e2871b3ebeee2c35e6599a3336a6a98 13802 python optional python-libconcord_0.24-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQtddPAAoJEBLZsEqQy9jkJqsP/jZySnufzx+R4JyXjoVjGKI0
Wxofa9rGKxHNYIi3ftqBZJwMQnpVphKbM8m4XqnwpqJxyMhKYnd8NWDW08kAb3ex
WanswbMc8QXAaEdrKvGoXN/Nq8k4bqsFmDI4psuskvo8wk8Vj3Gopz1vw3uJMaZR
CVOSzEG2AsK8wNDAoqSqTBGJTV6jPhnTY8/kqx0QKz9Gbda8BNIckiukg3A5oK6v
vYQXVi4oOZmxumoybA5HiaY6ngJ/Ecjot392FPI/zITkK/SRkIL1aiJYZhJAxQat
zCoqck11YRczlTCfgfZu0LQTZCzOiZVs2/2YO2dd879XQvGZoMyIRVGYC6DdtyHm
N0QTiHQC/18sVAuOOLXiibXs/jvt6wkLo6ly7SIGNjsbatoxVU4v2O8mDU0/jHiW
6jQ/fuBJ6VQexCNWv3AUADByFNgZCgNu322UfQyrA+YZ/4BE1jER26FS1GvykTce
SzPKbb3aWboy9bqCpvdYqKfiahViJr88d9/hy+orUPMBNPyNkRjJgNYxJkXg8Pww
IrfGvDoOOCgfKRmuUSxShjGd7+L1ujQ70DDrNb0u/11sOCjdz9yuUI0mMw8mWxme
qEtW/j0S8ibhkmqtsfqAZtirHU/H5hzE7uvQvQhdh3P040vEaYGQyymZeurqnYrG
14DWuBBPekHgl5C4DQZ3
=eSeA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Dec 2012 07:27:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:09:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.